<div class="no-selection-warn-text">
  <mat-icon>error</mat-icon>
  <span [ngSwitch]="missingSelectionType">
    <div
      *ngSwitchCase="'NO_CASE_SELECTION'"
      class="clickable-span"
      (click)="errorClicked.emit('Cases')">
      Please select 'CASE' first!
    </div>
    <!--<div
      *ngSwitchCase="'NO_SLIDE_SELECTION'"
      class="clickable-span"
      (click)="errorClicked.emit('Slides')">
      Please select 'SLIDE' first!
    </div>-->
    <div
      *ngSwitchCase="'NO_EXAMINATION_SELECTION'"
      class="clickable-span"
      (click)="errorClicked.emit('Examinations')">
      Please select 'EXAMINATION' first!
    </div>
    <div
      *ngSwitchCase="'NO_APP_SELECTION'"
      class="clickable-span"
      (click)="errorClicked.emit('Apps')">
      Please select 'APP' first!
    </div>
    <div *ngSwitchDefault>ERROR: Unknown Selection Error</div>
  </span>
</div>
